Lavalite package that provides coupa management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `b2buy/coupa`.

    "b2buy/coupa": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    B2buy\Coupa\Providers\CoupaServiceProvider::class,

And also add it to alias

    'Coupa'  => B2buy\Coupa\Facades\Coupa::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=B2buy\\CoupaTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="B2buy\Coupa\Providers\CoupaServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="B2buy\Coupa\Providers\CoupaServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="B2buy\Coupa\Providers\CoupaServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/coupa/{modulename}

**User**

    http://path-to-route-folder/user/coupa/{modulename}

**Public**

    http://path-to-route-folder/coupas


### API endpoints

**List**

    http://path-to-route-folder/api/user/coupa/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/coupa/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/coupa/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/coupa/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/coupa/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/coupa/{modulename}/{slug}
    METHOD: GET