<?php

namespace B2buy\Coupa;

use User;

class Coupa
{
    /**
     * $coupa object.
     */
    protected $coupa;

    /**
     * Constructor.
     */
    public function __construct(\B2buy\Coupa\Interfaces\CoupaRepositoryInterface $coupa)
    {
        $this->coupa = $coupa;
    }

    /**
     * Returns count of coupa.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.coupa.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->coupa->pushCriteria(new \Litepie\B2buy\Repositories\Criteria\CoupaUserCriteria());
        }

        $coupa = $this->coupa->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('coupa::' . $view, compact('coupa'))->render();
    }
}
