<?php

namespace B2buy\Coupa\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CoupaTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Coupa\Models\Coupa $coupa)
    {
        return [
            'id'                => $coupa->getRouteKey(),
            'key'               => [
                'public'    => $coupa->getPublicKey(),
                'route'     => $coupa->getRouteKey(),
            ], 
            'unique_id'         => $coupa->unique_id,
            'name'              => $coupa->name,
            'email'             => $coupa->email,
            'deleted_at'        => $coupa->deleted_at,
            'url'               => [
                'public'    => trans_url('coupa/'.$coupa->getPublicKey()),
                'user'      => guard_url('coupa/coupa/'.$coupa->getRouteKey()),
            ], 
            'status'            => trans('app.'.$coupa->status),
            'created_at'        => format_date($coupa->created_at),
            'updated_at'        => format_date($coupa->updated_at),
        ];
    }
}